グラフAPIバージョン

Instagram Business Asset Assigned Users

読み取り

Get a list of business users and their permissions tasks for this Instagram Business Asset

Graph API Explorer
GET /v26.0/{instagram-business-asset-id}/assigned_users HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}/assigned_users',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}/assigned_users",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}/assigned_users",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}/assigned_users"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
グラフAPIを使用する方法については、グラフAPIの使用ガイドをご覧ください。

パラメーター

パラメーター説明
business
numeric string

business

必須

項目

このエッジからの読み込むではJSONフォーマットの結果が返されます:

{ "data": [], "paging": {} }

data

AssignedUserノードの一覧です。

各ノードに以下のフィールドが追加されます:

フィールド説明
tasks
list<string>

tasks

paging

ページネ―ションについて詳しくは、グラフAPIガイドをご覧ください。

エラーコード

エラー詳細
100Invalid parameter

作成

このエンドポイントではこの操作を実行できません。

更新中…

/{instagram_business_asset_id}/assigned_usersにPOSTリクエストを送信してan AssignedUserを更新できます。

パラメーター

パラメーター説明
tasks
array<enum {CONTENT, MESSAGES, COMMUNITY_ACTIVITY, ADVERTISE, ANALYZE}>

Instagram Business Asset tasks to assign to user

user
UID

Business user

必須

戻り値の型

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
success: bool,
}

エラーコード

エラー詳細
100Invalid parameter

削除中です

You can dissociate an AssignedUser from an InstagramBusinessAsset by making a DELETE request to /{instagram_business_asset_id}/assigned_users.

パラメーター

パラメーター説明
user
UID

user

必須

戻り値の型

Struct {
success: bool,
}